Bug 122889 - [EFL] accessibility/plugin.html passes incorrectly
Summary: [EFL] accessibility/plugin.html passes incorrectly
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-10-16 03:17 PDT by Krzysztof Czech
Modified: 2013-10-22 01:38 PDT (History)
9 users (show)

See Also:


Attachments
proposed_patch (1.15 KB, text/plain)
2013-10-16 04:23 PDT, Andrzej Badowski
no flags Details
proposed patch 2 (26.62 KB, patch)
2013-10-16 04:38 PDT, Andrzej Badowski
mario: review-
Details | Formatted Diff | Diff
takes into account recent comments from Mario (55.54 KB, patch)
2013-10-17 05:42 PDT, Andrzej Badowski
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof Czech 2013-10-16 03:17:36 PDT
It seems, that test works incorrectly. It cannot locate resources/test.swf file.
Comment 1 Radar WebKit Bug Importer 2013-10-16 03:18:01 PDT
<rdar://problem/15239938>
Comment 2 Andrzej Badowski 2013-10-16 04:23:36 PDT
Created attachment 214352 [details]
proposed_patch
Comment 3 Andrzej Badowski 2013-10-16 04:38:40 PDT
Created attachment 214353 [details]
proposed patch 2
Comment 4 Mario Sanchez Prada 2013-10-16 05:24:41 PDT
Comment on attachment 214353 [details]
proposed patch 2

I've just quickly checked for uses of test.swf in the Layout tests directory and found that is used in two more places other than accessibility:

$ git grep "resources/test.swf"
accessibility/plugin.html:       <embed src="resources/test.swf" type="application/x-shockwave-flash">
fast/loader/sandboxed-plugin-crash.html:<iframe src="resources/test.swf" sandbox="allow-same-origin allow-forms allow-scripts"></iframe><br>
fast/replaced/border-radius-clip.html:<embed src="resources/test.swf" style="border:3px solid black; background-color: lime; -webkit-border-radius: 32px; margin-bottom:-32px"
fast/replaced/embed-display-none.html:  <embed style="display:none" src="resources/test.swf"

Additionally, I've also found that all the three different instances of test.swf are actually the same file, duplicated in three different locations:

$ md5sum platform/mac/accessibility/resources/test.swf fast/loader/resources/test.swf fast/replaced/resources/test.swf
140bd629879234796a2334c066a3b9e1  platform/mac/accessibility/resources/test.swf
140bd629879234796a2334c066a3b9e1  fast/loader/resources/test.swf
140bd629879234796a2334c066a3b9e1  fast/replaced/resources/test.swf

So, I think that instead of moving it from platform/mac/accessibility/resources into accessibility/resources, it would be better to put it in LayoutTests/resources/ and update the relative paths in those four tests.
Comment 5 Andrzej Badowski 2013-10-16 06:48:21 PDT
(In reply to comment #4)
> (From update of attachment 214353 [details])
> I've just quickly checked for uses of test.swf in the Layout tests directory and found that is used in two more places other than accessibility:
> 
> $ git grep "resources/test.swf"
> accessibility/plugin.html:       <embed src="resources/test.swf" type="application/x-shockwave-flash">
> fast/loader/sandboxed-plugin-crash.html:<iframe src="resources/test.swf" sandbox="allow-same-origin allow-forms allow-scripts"></iframe><br>
> fast/replaced/border-radius-clip.html:<embed src="resources/test.swf" style="border:3px solid black; background-color: lime; -webkit-border-radius: 32px; margin-bottom:-32px"
> fast/replaced/embed-display-none.html:  <embed style="display:none" src="resources/test.swf"
> 
> Additionally, I've also found that all the three different instances of test.swf are actually the same file, duplicated in three different locations:
> 
> $ md5sum platform/mac/accessibility/resources/test.swf fast/loader/resources/test.swf fast/replaced/resources/test.swf
> 140bd629879234796a2334c066a3b9e1  platform/mac/accessibility/resources/test.swf
> 140bd629879234796a2334c066a3b9e1  fast/loader/resources/test.swf
> 140bd629879234796a2334c066a3b9e1  fast/replaced/resources/test.swf
> 
> So, I think that instead of moving it from platform/mac/accessibility/resources into accessibility/resources, it would be better to put it in LayoutTests/resources/ and update the relative paths in those four tests.

OK, I will do it.
Comment 6 Andrzej Badowski 2013-10-17 05:42:26 PDT
Created attachment 214447 [details]
takes into account recent comments from Mario
Comment 7 WebKit Commit Bot 2013-10-22 01:38:07 PDT
Comment on attachment 214447 [details]
takes into account recent comments from Mario

Clearing flags on attachment: 214447

Committed r157780: <http://trac.webkit.org/changeset/157780>
Comment 8 WebKit Commit Bot 2013-10-22 01:38:09 PDT
All reviewed patches have been landed.  Closing bug.